
    // Already tracked
    var _addIvwIframeTracked = Array();
    
    // Fuegt einen iFrame fuer das ivw-Zaehlpixel hinzu
    //
    var _addIvwIframe = function(data) {
      let wbId = 127061;
      let activeBoard = 0;
      
      if(data && data.activeBoard){
        activeBoard = data.activeBoard;
      }
      
      // Check already tracked
      if(_addIvwIframeTracked.find((i)=>{
        return (i.wbId == wbId && i.activeBoard == activeBoard);
      })){
        return;
      }
      
      // Add tracking code call
      var code = '<iframe class="ivw-iframe" src="/whiteboard/countivw?id=' + wbId + '&ab=' + activeBoard + '" style="display:none;"></iframe>';
      $('.ivw-iframe').remove();
      $('body').append(code);

      // Add as tracked
      _addIvwIframeTracked.push({
        wbId: wbId,
        activeBoard: activeBoard
      });
    }

    // Call first load
    $(document).ready(function(){
      _addIvwIframe();
    } );
    
    // Override setActiveBoard Function Call For Tracking
    //
    var setActiveBoardOrig = setActiveBoard;
    setActiveBoard = function(activeBoard) {
        if(0 < activeBoard){
            let data = {activeBoard: activeBoard}; 
            _addIvwIframe(data);
        }
        return setActiveBoardOrig(activeBoard);
    }
    

create("Bundestagswahlen", 3.0);

// Home Tafel
var home = setHome(new Board("spaltenweise"));
home.setTitle(`Startseite`);
home.setInfo(`Startseite

`);

// Tafel Code Start

var home_titelBox = home.addBox(1608, 958, false);
var home_titelBild = new BackgroundImage(100, 0, 1608 * 0.9, 958 * 0.9, "src/img/allgemein_neu_weiss_1.png");
home_titelBox.addObject(home_titelBild);


// Tafel Code End


// 1. Tafel
var ww = addBoard(new Board("spaltenweise"));
ww.setTitle(`Wir wählen`);
ww.setInfo(`Sammeln Sie mit Ihren Schülerinnen und Schülern verschiedene Wahlanlässe.<br><br><u>Mögliche Antworten sind:</u> Klassensprecherwahl, Bürgermeisterwahl, Vereinsvorstandswahl. <br><br>Diskutieren Sie anschließend mit ihnen darüber, warum man wählt und wie eine Wahl abläuft.<br>

`);

// Tafel Code Start

var ww_kabineBox = ww.addBox(900, 900, true);
var ww_kabineBild = new BackgroundImage(50, 100, 800, 600, "src/img/117230.png");
ww_kabineBox.addObject(ww_kabineBild);


// Tafel Code End


// 2. Tafel
var wwg = addBoard(new Board("spaltenweise"));
wwg.setTitle(`Wieso wird gewählt?`);
wwg.setInfo(`Fragen Sie Ihre Schülerinnen und Schüler, warum Wahlen sinnvoll sind und wie oft Wahlen vorkommen bzw. stattfinden. Erklären Sie den Schülerinnen und Schülern anhand der Wortkarten, warum in einer Demokratie gewählt wird.Greifen Sie auf den <a href='https://www.hanisauland.de/wissen/lexikon/grosses-lexikon/d/demokratie.html' target='_blank'>Lexikontext zum Thema Demokratie</a> zurück und arbeiten Sie den Text mit den Lernenden durch.

`);

// Tafel Code Start

var wwg_sText1 = 'Menschen im Staat entscheiden, wer eine bestimmte Zeit regiert';
var wwg_sText2 = 'Die gewählte Mehrheit regiert';
var wwg_sText3 = 'Verfassung: Alle 4 Jahre sind Bundestagswahlen';
var wwg_sText4 = 'Unterschiedliche Wahlperioden in den Bundesländern';
var wwg_sText5 = 'Regierungszeit = Legislaturperiode';
var wwg_sText6 = 'Parlament beschließt Gesetze in dieser Zeit';
var wwg_bildbox = wwg.addBox(1200, 900, true);
var wwg_sliderbox = wwg.addBox(1200, 900, true);
var wwg_bild = new BackgroundImage(200, 50, 1000, 800, "src/img/grafik-wahl.png");
wwg_bildbox.addObject(wwg_bild);
//old
//var wwg_slider1 = new InfoSlider(400, wwg_box, 200, wwg_sText1, "rgb(243, 178, 103)");
//new
var wwg_slider1 = new InfoSlider(0, wwg_sliderbox, 0, wwg_sText1, "rgb(248, 182, 115)", 38, 700, 100);
wwg.addObject(wwg_slider1);
var wwg_slider2 = new InfoSlider(30, wwg_sliderbox, 150, wwg_sText2, "rgb(253, 218, 122)", 40, 700, 100);
wwg.addObject(wwg_slider2);
var wwg_slider3 = new InfoSlider(70, wwg_sliderbox, 300, wwg_sText3, "rgb(243, 178, 103)", 40, 700, 100);
wwg.addObject(wwg_slider3);
var wwg_slider4 = new InfoSlider(100, wwg_sliderbox, 450, wwg_sText4, "rgb(253, 218, 122)", 37, 700, 100);
wwg.addObject(wwg_slider4);
var wwg_slider5 = new InfoSlider(90, wwg_sliderbox, 600, wwg_sText5, "rgb(243, 178, 103)", 40, 700, 100);
wwg.addObject(wwg_slider5);
var wwg_slider6 = new InfoSlider(10, wwg_sliderbox, 750, wwg_sText6, "rgb(253, 218, 122)", 40, 700, 100);
wwg.addObject(wwg_slider6);


// Tafel Code End


// 3. Tafel
var sdb = addBoard(new Board("spaltenweise"));
sdb.setTitle(`Sitz des Deutschen Bundestages`);
sdb.setInfo(`Fragen Sie Ihre Schülerinnen und Schüler, ob Sie das Gebäude kennen, wo es steht und wer sich darin befindet. Öffnen Sie anschließend den Link zum Lexikontext <a href='https://www.hanisauland.de/wissen/lexikon/grosses-lexikon/d/deutscher_bundestag.html' target='_blank'>Lexikontext „Deutscher Bundestag“</a> und gehen Sie den Text und die Fragen mit den Schülerinnen und Schülern durch. Lassen Sie die Lernenden eigene Fragen stellen, die sie zum Thema interessieren.

`);

// Tafel Code Start

var sdb_box = sdb.addBox(900, 900, true);
var sdb_bild = new BackgroundImage(50, 100, 800, 600, "src/img/137273.jpg");
sdb_box.addObject(sdb_bild);
//Bild unterschrift
var sdb_bildText = 'Dies ist der Sitz des Deutschen Bundestages<br><i>© picture alliance / Daniel Kalker</i>';
var sdb_bildBgText = new BackgroundText(50, 700, 600, 100, sdb_bildText);
sdb_box.addObject(sdb_bildBgText);
// Link
var sdb_link1 = `<a class='typ-link ga-link' href='http://www.hanisauland.de/lexikon/d/deutscher_bundestag.html' target='_blank' rel='noopener noreferrer'>Lexikon: Der Deutsche Bundestag</a>`;
var sdb_link1BgText = new BackgroundText(500, 800, 600, 100, sdb_link1);
sdb_box.addObject(sdb_link1BgText);


// Tafel Code End


// 4. Tafel
var wgs = addBoard(new Board("spaltenweise"));
wgs.setTitle(`Wahlgrundsätze`);
wgs.setInfo(`Lassen Sie die Schülerinnen und Schüler sich zunächst frei über ihre Auffassung von Wahlgrundsätzen äußern. Lassen Sie die Lernenden anschließend die einzelnen Begriffe einem Bild zuordnen und den Begriff erklären.Lesen Sie zu den einzelnen Grundsätzen ggf. die jeweils angebotene Geschichte im <a href='https://www.hanisauland.de/wissen/spezial/politik/wahlen' target='_blank'>im HanisauLand Wahlen-Spezial</a> zusammen mit den Lernenden durch. <br>

`);

// Tafel Code Start

var wgs_sTextAllgemein = 'Allgemein<br><br>Jeder, der das 18. Lebensjahr vollendet hat, darf wählen.';
var wgs_sTextUnmittelbar = 'Unmittelbar<br><br>In Deutschland wählt jeder direkt ohne Wahlmänner oder Wahlfrauen, auf die man seine Stimme überträgt.';
var wgs_sTextGeheim = 'Geheim<br><br>Man muss niemandem erzählen, wen man gewählt hat.';
var wgs_sTextFrei = 'Frei<br><br>Niemand darf Druck auf die Wähler/-innen ausüben.';
var wgs_sTextGleich = 'Gleich<br><br> Jede Stimme hat das gleiche Gewicht.';
var wgs_bilderBox = wgs.addBox(2131, 822*0.5, true);
var wgs_kartenBox = wgs.addBox(2131, 822*0.5, false);
var wgs_assignment = new Assignment("assignment", 40);
/*
10  10,410      0,0],[410,0],[410,410],[0,410
20  1730,410      1720,0],[2130,0],[2130,410],[1720,410
30  440,410      430,0],[840,0],[840,410],[430,410
40  1300,410      1290,0],[1700,0],[1700,410],[1290,410
50  870,410      860,0],[1270,0],[1270,410],[860,410
*/
wgs_assignment.addPiece(wgs_sTextAllgemein, 300, 200, 30, "rgb(50, 197, 249)", wgs_kartenBox, 115, 100, wgs_bilderBox, 110, 370, [[0,0],[410,0],[410,410],[0,410]]);
wgs_assignment.addPiece(wgs_sTextFrei, 300, 200, 30, "rgb(50, 197, 249)", wgs_kartenBox, 1315, 100, wgs_bilderBox, 540, 370, [[430,0],[840,0],[840,410],[430,410]]);
wgs_assignment.addPiece(wgs_sTextGeheim, 300, 200, 30, "rgb(50, 197, 249)", wgs_kartenBox, 915, 100, wgs_bilderBox, 970, 370, [[860,0],[1270,0],[1270,410],[860,410]]);
wgs_assignment.addPiece(wgs_sTextGleich, 300, 200, 30, "rgb(50, 197, 249)", wgs_kartenBox, 1715, 100, wgs_bilderBox, 1400, 370, [[1290,0],[1700,0],[1700,410],[1290,410]]);
wgs_assignment.addPiece(wgs_sTextUnmittelbar, 300, 200, 25, "rgb(50, 197, 249)", wgs_kartenBox, 515, 100, wgs_bilderBox, 1830, 370, [[1720,0],[2130,0],[2130,410],[1720,410]]);
wgs_assignment.addBackgroundImage("src/img/kombi-bild-wahlen-neu-2.png", 0, 0, 2131, 822, wgs_bilderBox);
wgs_kartenBox.addObject(wgs_assignment);


// Tafel Code End


// 5. Tafel
var wgr = addBoard(new Board("zeilenweise"));
wgr.setTitle(`Wahlgrundsätze: Rätsel`);
wgr.setInfo(`Lassen Sie die Schülerinnen und Schüler nach den angegebenen Begriffen rund um das Thema Wahlgrundsätze suchen und diese markieren.<br>

`);

// Tafel Code Start

var wgr_textTeaser = `
Finde die folgenden Worte:
Wahlkabine, allgemein, geheim, Abgeordnete, frei,
Wahlgrundsatz, gleich, Wahlurne, unmittelbar, Bundestag
`
var wgr_teaserBox = wgr.addBox(1489 / 1.5, 150, true);
var wgr_box = wgr.addBox(1489 / 1.5 +100 , 1080 / 1.5 + 80, true);
var wgr_bgTextTeaser = new BackgroundText(60, 0, 1489 / 1.5, 200, wgr_textTeaser);
wgr_teaserBox.addObject(wgr_bgTextTeaser);
var wgr_wg = new WordGrid(50, 0, 1489 / 1.5, 1080 / 1.5, "src/img/wordgrid.png");
wgr_box.addObject(wgr_wg);
var s = 71/1.5;
var a = 32/1.5;
var b = 32/1.5;
wgr_wg.addWord(a+3*s, b+3*s, 9*s, (1*s)+2);  			//"allgemein"
wgr_wg.addWord(a+11*s, b+1*s, 1*s, (9*s)+8);  			//"bundestag"
wgr_wg.addWord(a+15*s, b+(3*s)+1, (1*s)+1, (4*s)+4); 	//"frei"
wgr_wg.addWord(a+0*s, b+(7*s)+4, 13*s, (1*s)+2);  		//"wahlgrundsatz"
wgr_wg.addWord(a+5*s, b+(10*s)+9, 6*s, 1*s);  			//"geheim"
wgr_wg.addWord(a+12*s, b+(9*s)+8, 8*s, 1*s);  			//"wahlurne"
wgr_wg.addWord(a+(19*s)+2, b+1*s, 1*s, (11*s)+10);  	//"abgeordnete"
wgr_wg.addWord(a+8*s, b+(11*s)+10, (11*s)+2, 1*s);  	//"unmittelbar"
wgr_wg.addWord(a+1*s, b+2*s, 1*s, (10*s)+10);  			//"wahlkabine"
wgr_wg.addWord(a+(3*s), b+(6*s)+3, 1*s, (6*s)+7);  		//"gleich"
//die ganzen (...)+x sind Feinanpassungen, weil die Berechnung von s nicht ganz passt


// Tafel Code End


// 6. Tafel
var ws = addBoard(new Board("spaltenweise"));
ws.setTitle(`Wahlrecht`);
ws.setInfo(`Erarbeiten Sie mit den Schülerinnen und Schülern die Grundzüge unseres Wahlsystems anhand der Bildkarte.Im  <a href='https://www.hanisauland.de/wissen/lexikon/' target='_blank'>HanisauLand-Lexikon </a> sowie im <a href=' https://www.hanisauland.de/wissen/spezial/politik/wahlen' target='_blank'>HanisauLand Wahlen-Spezial </a> finden Sie dazu weitergehende Informationen.Sie können den Lernenden den Text auch als Informationsblatt ausdrucken. Lassen Sie anschließend die Schüler in eigenen Worten zusammenfassen, wie das Wahlsystem funktioniert und am Beispiel des Stimmzettels erklären.

`);

// Tafel Code Start

var sText1 = '16 Bundesländer mit 299 Wahlkreisen';
var sText2 = 'Wahlkreis mit Wahlberechtigten';
var sText3 = 'Stimmzettel';
var sText4 = 'Erststimme mit höchstens 299 Direktmandaten';
var sText5 = 'Zweitstimme ... über 5%';
var sText6 = 'Bundestag mit 630 Abgeordneten';
var sText7 = 'Minister und Ministerinnen';
var sText8 = 'Bundeskanzler/-in';
var ws_bildBox = ws.addBox(1105, 900, true);
var ws_kartenBox = ws.addBox(895, 900, true);
var ws_assignment = new Assignment("assignment", 40);
/* ws_assignment.addPiece(sText1, 470, 40, 30, "rgb(50, 197, 249)", ws_kartenBox, -120, 150, ws_bildBox, 50(horizontale >=rechts / <=links), 100(vertikale Position <=hoch / >=runter), [[160,21],[340,82],[120,329],[0,280]]); */
ws_assignment.addPiece(sText1, 470, 40, 30, "rgb(50, 197, 249)", ws_kartenBox, 210, 150, ws_bildBox, 10, 130, [[160,21],[340,82],[120,329],[0,280]]);
ws_assignment.addPiece(sText2, 400, 40, 30, "rgb(50, 197, 249)", ws_kartenBox, 280, 250, ws_bildBox, 90, 380, [[181,330],[330,373],[221,467],[112,393]]);
ws_assignment.addPiece(sText3, 170, 40, 30, "rgb(50, 197, 249)", ws_kartenBox, 510, 750, ws_bildBox, 350, 170, [[393,75],[580,115],[436,288],[235,236]]);
ws_assignment.addPiece(sText4, 470, 55, 30, "rgb(50, 197, 249)", ws_kartenBox, 280, 350, ws_bildBox, 550, 100, [[632,47],[767,42],[651,227],[556,175] ]);
ws_assignment.addPiece(sText5, 310, 40, 30, "rgb(50, 197, 249)", ws_kartenBox, 370, 550, ws_bildBox, 400, 320, [[493,256],[642,247],[536,453],[425,375]]);
ws_assignment.addPiece(sText6, 580, 40, 30, "rgb(50, 197, 249)", ws_kartenBox, 100, 50, ws_bildBox, 550, 220, [[722,143],[977,83],[811,478],[630,335]]);
ws_assignment.addPiece(sText7, 350, 40, 30, "rgb(50, 197, 249)", ws_kartenBox, 330, 450, ws_bildBox, 900, 300, [[923,259],[975,259],[920,408],[871,395]]);
ws_assignment.addPiece(sText8, 250, 40, 30, "rgb(50, 197, 249)", ws_kartenBox, 430, 650,  ws_bildBox, 950, 220, [[947,197],[998,197],[990,244],[934,237]]);
ws_assignment.addBackgroundImage("src/img/117237.png", 100, 180, 1000, 500, ws_bildBox, false);
ws_kartenBox.addObject(ws_assignment);


// Tafel Code End


// 7. Tafel
var wsp = addBoard(new Board("spaltenweise"));
wsp.setTitle(`Das Wahlspiel`);
wsp.setInfo(`Lassen Sie Ihre Schülerinnen und Schüler das Spiel direkt am Computer z.B. in zwei Gruppen spielen. Dabei kann innerhalb einer Gruppe z.B. immer ein Lernender nach dem anderen die Antwort geben.<br>

`);

// Tafel Code Start

var wsp_text = '<a target="_blank" href="https://www.hanisauland.de/spiele_html5/hanischlauland_wahl_spezial_html5?katalog=Bundestagswahl2009">Das Wahlspiel</a>';
var wsp_titelBox = wsp.addBox(1608, 958, false);
//src/img/teaserbild_hanischlauland_allgemein.png
var wsp_titelBild = new BackgroundImage(100, 0, 1608 * 0.9, 958 * 0.9, "src/img/teaserbild_hanischlauland_allgemein.png");
wsp_titelBox.addObject(wsp_titelBild);
var wsp_bgText = new BackgroundText(100, 880, 500, 200, wsp_text);
wsp_titelBox.addObject(wsp_bgText);


// Tafel Code End


// 8. Tafel
var com = addBoard(new Board("spaltenweise"));
com.setTitle(`Comic`);
com.setInfo(`Lassen Sie Ihre Schülerinnen und Schüler den Hanisauland-Comic zur Wahl selbst durcharbeiten und entdecken. Besprechen Sie zusammen die 3 Fragen..<br/>

`);

// Tafel Code Start

var sText1 = 'Wann habt ihr schon einmal gewählt?<br>Wieso müssen Wahlen in einer Demokratie geheim sein?';
var sText2 = 'Wieso ist es oft schwer, Kandidaten<br>für eine Wahl zu finden?';
var sText3 = 'Wisst ihr, welche Parteien in den<br>Bundestag gewählt wurden?';
var sText4 = 'Entwerft selbst Wahlplakate mit Forderungen,<br>die euch wichtig sind.';
var sText5 = 'Entwerft ein Wahlprogramm für eine Partei.';
var com_box = com.addBox(1322, 900, true);
var com_sliderbox = com.addBox(1000, 900, true);
//var com_bild = new BackgroundImage(50, 45, 1100, 750, "src/img/wb_comic_seite_1_1.png");
var com_bild = new SlideShow(50, 45, 1222, 733, true);
com_box.addObject(com_bild);
// externe bediening
//this.setButtons = function (pWidth, pHeight, pPosX1, pPosY1, pPosX2, pPosY2)
com_bild.setButtons(70, 70, 60, 780, 1180, 780);
var com_sb1 = com_bild.addImage(0, 0, 1222, 733, "src/img/bundestagswahlen_10_seite_1_1.png");
var com_sb2 = com_bild.addImage(0, 0, 1222, 733, "src/img/bundestagswahlen_10_seite_2_1.png");
var com_sb3 = com_bild.addImage(0, 0, 1222, 733, "src/img/bundestagswahlen_10_seite_3_1.png");
var com_sb4 = com_bild.addImage(0, 0, 1222, 733, "src/img/bundestagswahlen_10_seite_3_2.png");
var com_sb5 = com_bild.addImage(0, 0, 1222, 733, "src/img/bundestagswahlen_10_seite_3_3.png");
var com_sb6 = com_bild.addImage(0, 0, 1222, 733, "src/img/bundestagswahlen_10_seite_3_4.png");
var com_sb7 = com_bild.addImage(0, 0, 1222, 733, "src/img/bundestagswahlen_10_seite_3_5.png");
var com_sb8 = com_bild.addImage(0, 0, 1222, 733, "src/img/bundestagswahlen_10_seite_3_6.png");
var com_sb9 = com_bild.addImage(0, 0, 1222, 733, "src/img/bundestagswahlen_10_seite_4_1.png");
var com_sb10 = com_bild.addImage(0, 0, 1222, 733, "src/img/bundestagswahlen_10_seite_5_1.png");
//step0
com_bild.showBild(com_sb1, 0);
//step1
com_bild.hideBild(com_sb1, 1);
com_bild.showBild(com_sb2, 1);
//step2
com_bild.hideBild(com_sb2, 2);
com_bild.showBild(com_sb3, 2);
//step3
com_bild.showBild(com_sb4, 3);
//step4
com_bild.showBild(com_sb5, 4);
//step5
com_bild.showBild(com_sb6, 5);
//step6
com_bild.showBild(com_sb7, 6);
//step7
com_bild.hideBild(com_sb7, 7);
com_bild.showBild(com_sb8, 7);
//step8
com_bild.hideBild(com_sb3, 8);
com_bild.hideBild(com_sb4, 8);
com_bild.hideBild(com_sb5, 8);
com_bild.hideBild(com_sb6, 8);
com_bild.hideBild(com_sb8, 8);
com_bild.showBild(com_sb9, 8);
//step9
com_bild.hideBild(com_sb9, 9);
com_bild.showBild(com_sb10, 9);
var com_slider1 = new InfoSlider(100, com_sliderbox, 0, sText1, "rgb(243, 178, 103)", 38, 800, 150);
com.addObject(com_slider1);
var com_slider2 = new InfoSlider(100, com_sliderbox, 175, sText2, "rgb(253, 218, 122)", 38, 800, 125);
com.addObject(com_slider2);
var com_slider3 = new InfoSlider(100, com_sliderbox, 325, sText3, "rgb(243, 178, 103)", 38, 800, 125);
com.addObject(com_slider3);
var com_slider4 = new InfoSlider(100, com_sliderbox, 475, sText4, "rgb(253, 218, 122)", 38, 800, 150);
com.addObject(com_slider4);
var com_slider5 = new InfoSlider(100, com_sliderbox, 650, sText5, "rgb(243, 178, 103)", 38, 800, 125);
com.addObject(com_slider5);


// Tafel Code End


// 9. Tafel
var wk = addBoard(new Board("spaltenweise"));
wk.setTitle(`Wahlkampf`);
wk.setInfo(`Die Schülerinnen und Schüler sollen einen Parteinamen und einen jeweiligen Wahlslogan für die Plakate erfinden.<br>Sie können auch eigene Wahlplakate entwerfen.<br>

`);

// Tafel Code Start

var wk_box = wk.addBox(1500, 900, true);
var wk_bild = new BackgroundImage(0, 100, 1200, 600, "src/img/117259.png");
wk_box.addObject(wk_bild);


// Tafel Code End


